package test.org.seasar.framework.container.factory;

import junit.framework.Test;
import junit.framework.TestSuite;

public class ContainerFactoryAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ContainerFactoryAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.framework.container.factory");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(ArgTagHandlerTest.class));
		suite.addTest(new TestSuite(AspectTagHandlerTest.class));
		suite.addTest(new TestSuite(ComponentsTagHandlerTest.class));
		suite.addTest(new TestSuite(ComponentTagHandlerTest.class));
		suite.addTest(new TestSuite(IncludeTagHandlerTest.class));
		suite.addTest(new TestSuite(InitMethodTagHandlerTest.class));
		suite.addTest(new TestSuite(MetaTagHandlerTest.class));
		suite.addTest(new TestSuite(PropertyTagHandlerTest.class));
		//$JUnit-END$
		return suite;
	}
}
